//#define USE_TI89              // Compile for TI-89
#define USE_TI92PLUS          // Compile for TI-92 Plus
#define USE_V200              // Compile for V200

#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization
#define MIN_AMS 100           // Compile for AMS 1.00 or higher
#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files

//#include "def89.h"
#include "def92p.h"

void bw(void) {
 ClrScr();
 FontSetSys(F_8x10);
 DrawStr((A-120)/2, 0, " Black & White ", A_REVERSE);
 page1();
 page2B();
 ngetchx();
 page3();
 _main();
}

void g4(void) {
 ClrScr();
 FontSetSys(F_8x10);
 DrawStr((A-152)/2, 0, " 4 Level Greyscale ", A_REVERSE);
 page1();
 page2G();
 ngetchx();
 page3();
 _main();
}

void keyloop(void) {
 while (ngetchx() != KEY_ESC) {
 if (_rowread(~((short)(1<<K11))) & (1<<K12)) bw();
 if (_rowread(~((short)(1<<K21))) & (1<<K22)) g4();
 };
}

void _main(void) {
 ClrScr();
 FontSetSys (F_8x10);
 DrawStr ((A-160)/2, 0, " Scrolling Pictures ", A_REVERSE);
 DrawStr ((A-120)/2, B-10, " William White ", A_REVERSE);
 FontSetSys (F_6x8);
 DrawStr (0, 12, "1. Black & White", A_NORMAL);
 DrawStr (0, 20, "2. 4 Level Greyscale", A_NORMAL);
 keyloop();
}
